#ifndef __twi_initialization_h__
#define __twi_initialization_h__

#include <stdio.h>
#include <errno.h>
#include <signal.h>
#include <stdarg.h>
#include <time.h>

#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <linux/types.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <linux/i2c-dev.h>
#include <unistd.h>
#include <linux/kdev_t.h>
//#include <asm/delay.h>

/*FIX ME!!!! */

struct i2c_msg {
  __u16 addr;     // slave address                        
        __u16 flags;
#define I2C_M_TEN       0x10    // we have a ten bit chip address
#define I2C_M_RD        0x01
#define I2C_M_NOSTART   0x4000
#define I2C_M_REV_DIR_ADDR      0x2000
#define I2C_M_IGNORE_NAK        0x1000
#define I2C_M_NO_RD_ACK         0x0800
  __u16 len;              // msg length                          
  __u8 *buf;              // pointer to msg data                 
};


/*FIX ME!!! */
/* Should be readable from <linux/i2c.h> via <linux/i2c-dev.h>*/
#define I2C_SLAVE 0x0703
#define I2C_RDWR 0x0707

/*Usefull defs for accessing*/
#define TWI_WRITE 0
#define TWI_READ 1

//#define MT9V011_ADDRESS 0x5D // 0xBA | 0xBB (write | read )
#define AD7993_ADDRESS 0x20 // 0xBA | 0xBB (write | read ) // ADC

#define TWI_DEVICE "/dev/i2c-0"

int twi_init( void );

int ad7993_init(void);

float read_temp(short channel);

#endif

