
#include "gpio.h"

#include <fcntl.h>
#include <errno.h>

int gpio_dev_file;

int gpio_init(void)
{
  if ((gpio_dev_file = open( "/dev/gpio0", O_RDWR)) < 0) return -ENODEV;
  else return 0;
}

int gpio_set_output(char byte)
{
  unsigned char buf[4] = { 0x0, 0x0, 0x0, byte };
  int num = write(gpio_dev_file, buf, 4);
}

int gpio_deinit(void)
{
  close(gpio_dev_file);
  
  return 0;
}
